{
    attributes = (
        {
            columnName = CETA_KEY; 
            externalType = NUMBER; 
            name = cetaKey; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = CETA_LIBELLE; 
            externalType = VARCHAR2; 
            name = cetaLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (cetaKey); 
    className = EOGenericRecord; 
    classProperties = (cetaKey, cetaLibelle); 
    externalName = SCOL_CONSTANTE_ETAT; 
    fetchSpecificationDictionary = {}; 
    name = ScolConstanteEtat; 
    primaryKeyAttributes = (cetaKey); 
}
